<bugID>1235658<Summary>in-content preferences for offline apps needs to use origin attributes when creating permission principal</Summary><Description>In the file browser/components/preferences/in-content/advanced.js there's code that uses createCodebasePrincipalFromOrigin to get a principal for accessing permissions:

&gt; 569   removeOfflineApp: function()
&gt; 570   {
&gt; 571     var list = document.getElementById("offlineAppsList");
&gt; 572     var item = list.selectedItem;
&gt; 573     var origin = item.getAttribute("origin");
&gt; 574     var principal = Services.scriptSecurityManager.createCodebasePrincipalFromOrigin(origin);

Since it is accessing permissions, it needs to first populate an OriginAttribute from the origin, then create a GlobalContextOriginAttribute object to set the user context id to 0 and then use that principal to access the permission.</Description></bugID>